> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieldiu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Appointments

> Returns a list of available appointment slots starting from a given date and time.



## OpenAPI

````yaml POST /api/v1/ai-agent/available-appointments
openapi: 3.0.1
info:
  title: Fieldiu Integration API
  description: Internal integration endpoints for Fieldiu.
  version: v1
  contact:
    name: Fieldiu Support
  license:
    name: Proprietary
servers:
  - url: https://integration.fieldiu.online
security:
  - ApiKeyAuth: []
    OrgIdAuth: []
paths:
  /api/v1/ai-agent/available-appointments:
    post:
      tags:
        - AI Agent
      summary: Get Available Appointments
      description: >-
        Returns a list of available appointment slots starting from a given date
        and time.
      operationId: availableAppointments
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkorderBookingAvailableExactDateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    WorkorderBookingAvailableExactDateRequest:
      type: object
      properties:
        dateTime:
          type: string
          format: date-time
          nullable: true
          description: >-
            Starting date and time to search available appointments from (ISO
            8601)
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Your organization's API key
    OrgIdAuth:
      type: apiKey
      in: header
      name: X-ORG-ID
      description: Your organization's identifier

````